<panel>

  <boolean id="save_current_state" value="true"/>
  <boolean id="save_default_state" value="true"/>

  <!-- Contains all the "standard" objetcs for the match view -->
  <container>
    <layout class="arrange_vertical_attachment" alignment="bottom,extend" offset="0" />
    <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

    <widget class="match_pitch_panel" id="pitc" vert="false">
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>

      <!-- if not in "navigation disabled" mode, display the time on the pitch -->
      <attachment class="test_global_attachment" get_property="FS  " value="false" set_property="pdtm" />

    </widget>


    <!--standard controls-->
    <container class="subsection_box" appearance="boxes/match/controls" height="38" id="ctcn">

      <layout class="arrange_horizontal_attachment" alignment="left, extend" offset="0" gap="10"/>
      <layout class="stick_to_sides_attachment" alignment="bottom" inset="3"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="6"/>

      <!-- hide this panel in "navigation disabled" mode -->
      <attachment class="test_global_attachment" get_property="FS  " value="true" set_property="hidn" />

      <!--show advanced controls button-->
      <widget class="popup_button" id="Cams" select_event="chmc" text="Camera[COMMENT - view selection popup for match screen]" fixed="false" auto_tick_exclusive="true" value="2" auto_size="vertical">
        <layout class="stick_to_sides_attachment" alignment="left" inset="4"/>
        <layout class="centre_in_parent_attachment" alignment="vertical" offset="0"/>
      </widget>

      <!--highlights slider-->
      <widget class="match_time_slider" id="Hgsl" height="40" auto_size="horizontal" changed_event="stht" final_changed_event="sthc">
        <layout class="centre_in_parent_attachment" alignment="vertical" offset="0"/>
      </widget>

    </container>

  </container>

  <!-- full window floating match panels -->
  <container>
    <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

    <widget class="match_full_window_panel" id="mcfl" npfc="white" hidden="true" pitch_unique_id="full"
            floating_panel_top_inset="60"
            floating_panel_bottom_inset="48"
            floating_panel_left_inset="0"
            floating_panel_right_inset="0">

      <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>
    </widget>
  </container>

  <!-- home tactics panel -->
  <widget class="in_match_tactics_panel" id="HIMT" team_index="0" hidden="true">
    <layout class="stick_to_sides_attachment" alignment="left" inset="5"/>
    <layout class="stick_to_sides_attachment" alignment="top" inset="0"/>
  </widget>

  <!-- away tactics panel -->
  <widget class="in_match_tactics_panel" id="AIMT" team_index="1" hidden="true">
    <!--set these priorities to 1 so that the panel can lay out and size itself first, then be positioned. This is a problem with sticking stuff to the right of 
    other widgets - if the widget doesn't yet have a width, it just sticks RIGHT to the right hand side, and a subsequent sizing leaves it where it was.-->
    <layout class="stick_to_sides_attachment" alignment="right" inset="0" priority="1"/>
    <layout class="stick_to_sides_attachment" alignment="top" inset="0" priority="1"/>
  </widget>

  <!-- foul / booking notification panel -->
  <container height="78" width="400" id="mnbx">
    <layout class="centre_in_parent_attachment" alignment="horizontal" inset="0"/>
    <layout class="stick_to_sides_attachment" alignment="bottom" inset="140"/>

    <widget class="offence_notification" id="mnot" hidden="true">
      <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>
    </widget>

  </container>

  <!-- replay indicator -->
  <container height="36" width="82" id="rpbx">
    <layout class="stick_to_sides_attachment" alignment="top" inset="130"/>
    <layout class="stick_to_sides_attachment" alignment="left" inset="6"/>

    <widget class="replay_notification" id="rnot" height="36" width="41" hidden="true">
      <layout class="stick_to_sides_attachment" alignment="left, vertical" inset="0"/>
    </widget>

    <!-- YouTube button -->
    <widget class="icon_button" id="yout" text="" fixed="true" click_event="yout" auto_size="vertical" hint="Upload to YouTube[COMMENT: Button where user can post a video to YouTube]" appearance="button/custom/calendar timeline/button" icon="icons/actions/interact" height="36" width="41" hidden="true">
      <layout class="stick_to_sides_attachment" alignment="right, vertical" inset="0"/>
    </widget>

  </container>

  <!-- penalty shoot out box -->
  <widget class="match_penalty_shootout_panel" hidden="true" id="pscn" width="650" height="80">
    <layout class="stick_to_sides_attachment" alignment="top" inset="60"/>
    <layout class="centre_in_parent_attachment" alignment="horizontal" offset="0"/>
  </widget>

</panel>
